# Uses of Interface
org.bukkit.inventory.RecipeChoice

Packages that use RecipeChoice
Package
Description
com.destroystokyo.paper.inventory
io.papermc.paper.potion
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of RecipeChoice in com.destroystokyo.paper.inventory

Classes in com.destroystokyo.paper.inventory that implement RecipeChoice
Modifier and Type
Class
Description
`class`
`ItemStackRecipeChoice`
Deprecated.
Draft API
Methods in com.destroystokyo.paper.inventory that return RecipeChoice
Modifier and Type
Method
Description
`RecipeChoice`
ItemStackRecipeChoice.`clone()`
Deprecated.

## Uses of RecipeChoice in io.papermc.paper.potion

Methods in io.papermc.paper.potion that return RecipeChoice
Modifier and Type
Method
Description
`@NotNull RecipeChoice`
PotionMix.`getIngredient()`
Gets the ingredient in the top slot of the brewing stand.
`@NotNull RecipeChoice`
PotionMix.`getInput()`
Gets the input for the bottom 3 slots in the brewing stand.
Constructors in io.papermc.paper.potion with parameters of type RecipeChoice
Modifier
Constructor
Description
``
`PotionMix(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, @NotNull RecipeChoice ingredient)`
Creates a new potion mix.

## Uses of RecipeChoice in org.bukkit.inventory

Classes in org.bukkit.inventory that implement RecipeChoice
Modifier and Type
Class
Description
`static class`
`RecipeChoice.ExactChoice`
Represents a choice that will be valid only one of the stacks is exactly matched (aside from stack size).
`static class`
`RecipeChoice.MaterialChoice`
Represents a choice of multiple matching Materials.
Methods in org.bukkit.inventory that return RecipeChoice
Modifier and Type
Method
Description
`@NotNull RecipeChoice`
RecipeChoice.`clone()`
`@NotNull RecipeChoice`
SmithingRecipe.`getAddition()`
Get the addition recipe item.
`@NotNull RecipeChoice`
SmithingRecipe.`getBase()`
Get the base recipe item.
`@NotNull RecipeChoice`
CookingRecipe.`getInputChoice()`
Get the input choice.
`@NotNull RecipeChoice`
StonecuttingRecipe.`getInputChoice()`
Get the input choice.
Methods in org.bukkit.inventory that return types with arguments of type RecipeChoice
Modifier and Type
Method
Description
`@NotNull List<RecipeChoice>`
ShapelessRecipe.`getChoiceList()`
`@NotNull Map<Character,RecipeChoice>`
ShapedRecipe.`getChoiceMap()`
Methods in org.bukkit.inventory with parameters of type RecipeChoice
Modifier and Type
Method
Description
`@NotNull ShapelessRecipe`
ShapelessRecipe.`addIngredient(@NotNull RecipeChoice ingredient)`
`@NotNull ShapelessRecipe`
ShapelessRecipe.`removeIngredient(@NotNull RecipeChoice ingredient)`
Removes an ingredient from the list.
`@NotNull ShapedRecipe`
ShapedRecipe.`setIngredient(char key, @NotNull RecipeChoice ingredient)`
`T`
CookingRecipe.`setInputChoice(@NotNull RecipeChoice input)`
Sets the input of this cooking recipe.
`@NotNull FurnaceRecipe`
FurnaceRecipe.`setInputChoice(@NotNull RecipeChoice input)`
`@NotNull StonecuttingRecipe`
StonecuttingRecipe.`setInputChoice(@NotNull RecipeChoice input)`
Sets the input of this cooking recipe.
Constructors in org.bukkit.inventory with parameters of type RecipeChoice
Modifier
Constructor
Description
``
`BlastingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
``
`CampfireRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
``
`CookingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
Create a cooking recipe to craft the specified ItemStack.
``
`FurnaceRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
Create a furnace recipe to craft the specified ItemStack.
``
`SmithingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice base, @NotNull RecipeChoice addition)`
Create a smithing recipe to produce the specified result ItemStack.
``
`SmithingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice base, @NotNull RecipeChoice addition, boolean copyNbt)`
Create a smithing recipe to produce the specified result ItemStack.
``
`SmokingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
``
`StonecuttingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input)`
Create a cooking recipe to craft the specified ItemStack.